## openscenegraph 3.0.0

=== OpenSceneGraph/CMakeLists.txt ===
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

IF(WIN32)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6 FATAL_ERROR)
ELSE(WIN32)
    IF(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)
    ELSE(APPLE)
        CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4 FATAL_ERROR)
    ENDIF(APPLE)
ENDIF(WIN32)

if(COMMAND cmake_policy)
    # Works around warnings libraries linked against that don't
    # have absolute paths (e.g. -lpthreads)
    cmake_policy(SET CMP0003 NEW)

    # Works around warnings about escaped quotes in ADD_DEFINITIONS
    # statements.
    cmake_policy(SET CMP0005 NEW)

    # cmake-2.6.1 introduces policy cmp0008 decide how to treat full path libraries that do not appear to be valid library file names
    # quote from cvslog "Such libraries worked by accident in the VS IDE and Xcode generators in CMake 2.4 and below."
    if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 4 AND ${CMAKE_PATCH_VERSION} GREATER 0)
        cmake_policy(SET CMP0008 OLD)
    endif()
endif()

PROJECT(OpenSceneGraph)

SET(OPENSCENEGRAPH_MAJOR_VERSION 3)
SET(OPENSCENEGRAPH_MINOR_VERSION 0)
SET(OPENSCENEGRAPH_PATCH_VERSION 0)
SET(OPENSCENEGRAPH_SOVERSION 80)

# set to 0 when not a release candidate, non zero means that any generated 
# svn tags will be treated as release candidates of given number
SET(OPENSCENEGRAPH_RELEASE_CANDIDATE 0)

SET(OPENSCENEGRAPH_VERSION ${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION}.${OPENSCENEGRAPH_PATCH_VERSION})

SET(OSG_PLUGINS osgPlugins-${OPENSCENEGRAPH_VERSION})

SET(OSG_PLUGIN_PREFIX "")

IF (CYGWIN)
    SET(OSG_PLUGIN_PREFIX "cygwin_")
ENDIF()

IF(MINGW)
    SET(OSG_PLUGIN_PREFIX "mingw_")
ENDIF()


# We want to build SONAMES shared librariess
SET(OPENSCENEGRAPH_SONAMES TRUE)
SET(OPENTHREADS_SONAMES TRUE)

SET(OpenThreads_SOURCE_DIR ${OpenSceneGraph_SOURCE_DIR})

# We have some custom .cmake scripts not in the official distribution.
# Maybe this can be used override existing behavior if needed?
SET(CMAKE_MODULE_PATH "${OpenSceneGraph_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

## Option to enable Android build using AndroidNDK
OPTION(OSG_BUILD_PLATFORM_ANDROID OFF)
IF(OSG_BUILD_PLATFORM_ANDROID)

    CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0 FATAL_ERROR)

    INCLUDE(OsgAndroidMacroUtils)
    SET(ANDROID TRUE)
    SET(ANDROID_PLATFORM 5)
    FIND_PACKAGE(AndroidNDK REQUIRED)    

    SET(OSG_ANDROID_TEMPLATES "${CMAKE_SOURCE_DIR}/PlatformSpecifics/Android")
    
    SET(J  "4" CACHE STRING "how many processes for make -j <J>")

    ADD_CUSTOM_COMMAND(
        OUTPUT    Android-OpenSceneGraph
        DEPENDS   ${CMAKE_BINARY_DIR}/Android.mk
        COMMAND   "${ANDROID_NDK}/ndk-build" 
        ARGS      --directory=${CMAKE_BINARY_DIR} NDK_APPLICATION_MK=Application.mk -j${J} NDK_LOG=1
    )

    ADD_CUSTOM_TARGET(ndk ALL echo
          DEPENDS Android-OpenSceneGraph
    )
    install(DIRECTORY include/ DESTINATION include/
        PATTERN ".svn" EXCLUDE
    )
    install(DIRECTORY ${CMAKE_BINARY_DIR}/include/ DESTINATION include/
    )
    install(DIRECTORY ${CMAKE_BINARY_DIR}/obj/ DESTINATION obj/
        PATTERN ".svn" EXCLUDE
        PATTERN "objs" EXCLUDE
    )

    ADD_DEFINITIONS(-DANDROID)

ENDIF()



# Okay, here's the problem: On some platforms, linking against OpenThreads
# is not enough and explicit linking to the underlying thread library
# is also required (e.g. FreeBSD). But OpenThreads may be built with different
# backends (Pthreads, Sproc, Windows) so we don't know what the underlying
# thread library is because some platforms support multiple backends (e.g.
# IRIX supports Sproc and Pthreads). Linking all libraries won't work
# because the libraries may be incompatible.
# So the current solution is to attempt best guess linking and exempt certain
# cases. With IRIX, we're going to hope explicit linking to the underlying
# library is not necessary. We currently don't case for pthreads on Windows
# which might be an issue on things like Cygwin. This may need to be fixed.
IF(NOT ANDROID)
    FIND_PACKAGE(Threads)
ENDIF()
IF(CMAKE_SYSTEM MATCHES IRIX)
    # Erase CMAKE_THREAD_LIBS_INIT and hope it works
    SET(CMAKE_THREAD_LIBS_INIT "" CACHE INTERNAL "")
ENDIF()

OPTION(OSG_MAINTAINER "Enable OpenSceneGraph maintainer build methods, such as making svn branches, tags, updating ChangeLog." OFF)
IF (OSG_MAINTAINER)

    #SET(OPENSCENEGRAPH_SVN "trunk")
    SET(OPENSCENEGRAPH_SVN "branches")
    SET(OPENSCENEGRAPH_BRANCH OpenSceneGraph-${OPENSCENEGRAPH_MAJOR_VERSION}.${OPENSCENEGRAPH_MINOR_VERSION})

    #
    # Provide target for tagging a release
    #
    SET(SVNCOMMAND svn)
    SET(SVNTRUNKDIR     http://www.openscenegraph.org/svn/osg/OpenSceneGraph/trunk)
    SET(SVNTAGDIR       http://www.openscenegraph.org/svn/osg/OpenSceneGraph/tags)
    SET(SVNBRANCHDIR    http://www.openscenegraph.org/svn/osg/OpenSceneGraph/branches)

    IF   (OPENSCENEGRAPH_SVN STREQUAL "trunk")
        SET(SVNSOURCEDIR ${SVNTRUNKDIR})
    ELSE()
        SET(SVNSOURCEDIR ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH})
    ENDIF()


    IF   (OPENSCENEGRAPH_RELEASE_CANDIDATE EQUAL 0)
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION})
    ELSE()
        SET(RELEASE_NAME OpenSceneGraph-${OPENSCENEGRAPH_VERSION}-rc${OPENSCENEGRAPH_RELEASE_CANDIDATE})
    ENDIF()


    ADD_CUSTOM_TARGET(tag-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(tag-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNTAGDIR}/${RELEASE_NAME} -m "Release ${RELEASE_NAME}"
    )

    ADD_CUSTOM_TARGET(branch-test
        COMMAND echo ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    ADD_CUSTOM_TARGET(branch-run
        COMMAND ${SVNCOMMAND} copy ${SVNSOURCEDIR} ${SVNBRANCHDIR}/${OPENSCENEGRAPH_BRANCH} -m "Branch ${OPENSCENEGRAPH_BRANCH}"
    )

    #
    # Provide target for generating ChangeLog
    #
    SET(GENERATELOGS svn2cl)

    ADD_CUSTOM_TARGET(ChangeLog
        COMMAND ${SVNCOMMAND} update
        COMMAND ${GENERATELOGS} ${SVNSOURCEDIR}
    )
    
ENDIF(OSG_MAINTAINER)

IF(NOT ANDROID)
IF(APPLE)
    # Trying to get CMake to generate an XCode IPhone project, current efforts are to get iphoneos sdk 3.1 working
    # Added option which needs manually setting to select the IPhone SDK for building. We can only have one of the below
    # set to true. Should realy have an OSG_BUILD_PLATFORM variable that we set to our desired platform
    OPTION(OSG_BUILD_PLATFORM_IPHONE "Enable IPhoneSDK Device support" OFF)
    OPTION(OSG_BUILD_PLATFORM_IPHONE_SIMULATOR "Enable IPhoneSDK Simulator support" OFF)

    IF(OSG_BUILD_PLATFORM_IPHONE OR OSG_BUILD_PLATFORM_IPHONE_SIMULATOR)

        #you need to manually set the default sdk version here
        SET (IPHONE_SDKVER "3.2")

        #the below is taken from ogre, it states the gcc stuff needs to happen before PROJECT() is called. I've no clue if we even need it
        # Force gcc <= 4.2 on iPhone
        include(CMakeForceCompiler)
        CMAKE_FORCE_C_COMPILER(gcc-4.2 GNU)
        CMAKE_FORCE_CXX_COMPILER(gcc-4.2 GNU)
        SET(GCC_THUMB_SUPPORT NO)

        #set either the device sdk or the simulator sdk. Can't find away to separate these in the same project
        IF(OSG_BUILD_PLATFORM_IPHONE)
            SET (IPHONE_DEVROOT "/Developer/Platforms/iPhoneOS.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneOS${IPHONE_SDKVER}.sdk")
        ELSE()
            SET (IPHONE_DEVROOT "/Developer/Platforms/iPhoneSimulator.platform/Developer")
            SET (IPHONE_SDKROOT "${IPHONE_DEVROOT}/SDKs/iPhoneSimulator${IPHONE_SDKVER}.sdk")
        ENDIF()

        # Apple iOS: Find OpenGLES
        FIND_LIBRARY(OPENGLES_LIBRARY OpenGLES)
    ELSE ()
        FIND_LIBRARY(CARBON_LIBRARY Carbon)
        FIND_LIBRARY(COCOA_LIBRARY Cocoa)

        # Apple OS X: Find OpenGL and AGL
        FIND_PACKAGE(OpenGL)
        FIND_LIBRARY(AGL_LIBRARY AGL)
    ENDIF ()

    OPTION(OSG_COMPILE_FRAMEWORKS "compile frameworks instead of dylibs (experimental)" OFF)
    SET(OSG_COMPILE_FRAMEWORKS_INSTALL_NAME_DIR "@executable_path/../Frameworks" CACHE STRING "install name dir for compiled frameworks")
ELSE()
    # Non-Apple: Find OpenGL
    FIND_PACKAGE(OpenGL)
ENDIF()
ENDIF()

IF(UNIX AND NOT ANDROID)
    # Not sure what this will do on Cygwin and Msys
    # Also, remember OS X X11 is a user installed option so it may not exist.
    FIND_PACKAGE(X11)
    # Some Unicies need explicit linkage to the Math library or the build fails.
    FIND_LIBRARY(MATH_LIBRARY m)

    FIND_LIBRARY(DL_LIBRARY dl)
    IF(NOT DL_LIBRARY)
        SET(DL_LIBRARY "") # change from NOTFOUND to empty when passed to linker
    ENDIF()

    IF( CMAKE_SYSTEM MATCHES "Linux" )
        FIND_LIBRARY( RT_LIBRARY rt )
    ENDIF( CMAKE_SYSTEM MATCHES "Linux" )

ENDIF()

INCLUDE_DIRECTORIES(
    ${OpenSceneGraph_SOURCE_DIR}/include
    ${OPENGL_INCLUDE_DIR}
)

# Make the headers visible to everything
IF(NOT ${PROJECT_BINARY_DIR} EQUAL ${PROJECT_SOURCE_DIR})
   INCLUDE_DIRECTORIES(${PROJECT_BINARY_DIR}/include)
ENDIF()

# Common global definitions
#ADD_DEFINITIONS(-D)
# Platform specific definitions


IF(WIN32 AND NOT ANDROID)

    IF(MSVC)
        # This option is to enable the /MP switch for Visual Studio 2005 and above compilers
        OPTION(WIN32_USE_MP "Set to ON to build OpenSceneGraph with the /MP option (Visual Studio 2005 and above)." OFF)
        MARK_AS_ADVANCED(WIN32_USE_MP)
        IF(WIN32_USE_MP)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
        ENDIF(WIN32_USE_MP)

        # turn off various warnings
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305 4996)
        #     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd${warning}")
        # endforeach(warning)

        # This option is to enable the /DYNAMICBASE switch
        # It is used to workaround a bug in Windows 7 when linking in release, which results in corrupt
        # binaries. See this page for details: http://www.wintellect.com/CS/blogs/jrobbins/archive/2009/01/24/the-case-of-the-corrupt-pe-binaries.aspx
        OPTION(WIN32_USE_DYNAMICBASE "Set to ON to build OpenSceneGraph with the /DYNAMICBASE option to work around a bug when linking release executables on Windows 7." OFF)
        MARK_AS_ADVANCED(WIN32_USE_DYNAMICBASE)
        IF(WIN32_USE_DYNAMICBASE)
            SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /DYNAMICBASE")
        ENDIF(WIN32_USE_DYNAMICBASE)

        # More MSVC specific compilation flags
        ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)

        OPTION(MSVC_DISABLE_CHECKED_ITERATORS "Set to ON to disable Visual C++ checked iterators. If you do this you must ensure that every other project in your solution and all dependencies are compiled with _SECURE_SCL=0." OFF)
        MARK_AS_ADVANCED(MSVC_DISABLE_CHECKED_ITERATORS)
        IF(MSVC_DISABLE_CHECKED_ITERATORS)
            ADD_DEFINITIONS(-D_SECURE_SCL=0)
        ENDIF(MSVC_DISABLE_CHECKED_ITERATORS)

        OPTION(MSVC_USE_DEFAULT_STACK_SIZE "Set to ON to use the default Visual C++ stack size. CMake forces a high stack size by default, which can cause problems for applications with large number of threads." OFF)
        MARK_AS_ADVANCED(MSVC_USE_DEFAULT_STACK_SIZE)
        IF(MSVC_USE_DEFAULT_STACK_SIZE)
            STRING(REGEX REPLACE "/STACK:[0-9]+" "" CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
            STRING(REGEX REPLACE "/STACK:[0-9]+" "" CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")
            STRING(REGEX REPLACE "/STACK:[0-9]+" "" CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
        ENDIF(MSVC_USE_DEFAULT_STACK_SIZE)

    ENDIF()

    #needed for net plugin
    SET (OSG_SOCKET_LIBS wsock32)

=== debian/changelog ===
openscenegraph (3.0.0-2ubuntu1) oneiric; urgency=low

  * Sync from Debian (LP: #807762)
  * fix-FTBFS-with-libav-0.7.patch: patch taken upstream to fix FTBFS with
    libav 0.7

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 19 Jul 2011 09:47:32 +0200

openscenegraph (3.0.0-2) unstable; urgency=low

  [ Alberto Luaces ]
  * Use --as-needed option of the linker in order to cut unused dependencies
    down.
  * Adjust C{,XX}FLAGS to be independent of the build mode.
  * Removed the dpatch dependency at build time since it is not needed anymore.
  * Updated standards version to 3.9.2 as lintian requested (no changes needed).

  [ Manuel A. Fernandez Montecelo ]
  * Adding "Alberto Luaces <aluaces@udc.es>" as Uploader to try to quell lintian
    warnings (source-nmu-has-incorrect-version-number and
    changelog-should-mention-nmu).  He's been maintaining the packages for more
    than a year now.
  * Remove Section entries for some binary packages (quell lintian warning
    binary-control-field-duplicates-source)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 15 Jul 2011 01:28:06 +0200

openscenegraph (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated to quilt format.
  * Fixed FTBFS by checking __FreeBSD_kernel__ (Closes: #621880).
  * Removed CMakeLists.txt files in `openscenegraph-examples'. An
    explanatory README was written with simple instructions for compiling
    the examples those sources if desired (Closes: #612954, #612957).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 01 Jul 2011 22:07:13 +0200

openscenegraph (2.9.11-1) experimental; urgency=low

  * Removed bug-555869-ftbfs_with_binutils_gold.dpatch since upstream has
    already taken care of the issue.
  * Removed bug-528229.dpatch since the pkgconfig files are now also split
    in upstream.
  * Removed explicit dependency on GLU.
  * Upstream no longer includes osgIntrospection (Closes: #592420).
  * Disabled zip plugin as its implementation stores an embedded copy of
    zlib.
  * Enabled Qt support. Thanks James Goppert.
  * Enabled SVG and PDF plugins. Thanks James Goppert.

 -- Alberto Luaces <aluaces@udc.es>  Sat, 29 Jan 2011 11:36:29 +0100

openscenegraph (2.8.5-1) unstable; urgency=low

  * New upstream stable release.

 -- Alberto Luaces <aluaces@udc.es>  Sat, 11 Jun 2011 09:57:41 +0200

openscenegraph (2.8.3-7) unstable; urgency=low

  * Rearranged headers to compile with ffmpeg 0.6. This is solved in current SVN. (Closes: #614467).

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 13 Mar 2011 01:27:54 +0100

openscenegraph (2.8.3-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Added Vcs fields to the control file
  * Put myself in the Uploaders field, add DM-Upload-Allowed: yes
  * Quelling lintian warnings:
    - debian-changelog-line-too-long (line 2)
    - out-of-date-standards-version (bumped from 3.8.4 to 3.9.1)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 26 Aug 2010 12:28:06 +0200

openscenegraph (2.8.3-5) unstable; urgency=low

  * ffmpeg plugin enabled.
  * Build osgIntrospection on {,kfreebsd}-{amd64,i386} architectures
    (Closes: #586256).
  * Also build static libraries (Closes: #517273).

 -- Alberto Luaces <aluaces@udc.es>  Wed, 21 Jul 2010 11:19:33 +0200

openscenegraph (2.8.3-4) unstable; urgency=low

  * re-submit because of incorrect libtiff5 dependency in the -3 upload

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 02 Jun 2010 10:55:06 +0200

openscenegraph (2.8.3-3) unstable; urgency=low

  * Added README.source. Thanks Manuel Montecelo.
  * Removed FindGDAL.cmake file supplied by upstream since it does not
    detect current libgdal1-1.6.0. The script provided by CMake works
    fine.
  * Removed openthreads-doc since OpenThreads documentation is shared with
    OpenSceneGraph's, hence this package was empty.
  * Now ccache handling is being done automatically by CMake.
  * Drop conflict dependencies with previous versions to let them coexist
    with current ones (Closes: #580079 #580081).

 -- Alberto Luaces <alberto@udc.es>  Mon, 03 May 2010 21:42:01 +0200

openscenegraph (2.8.3-2) unstable; urgency=low

  * Added missing conflict dependency with libopenthreads12 to clear
    updating errors. (Closes: #579760 #579731).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 30 Apr 2010 20:30:39 +0200

openscenegraph (2.8.3-1) unstable; urgency=low

  * New upstream release
  * Updated package descriptions
  * Removed dependence from giflib-dev, doesn't seem to be there anymore
  * Created a package for examples sources previously in openscenegraph binary
    package, the sources of examples are quite big (4MiB+ and growing) and
    architecture independent.
  * Updated Doxygen configuration file (had some obsolete options).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 22 Apr 2010 16:03:58 +0200

=== debian/control ===
Source: openscenegraph
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>, Alberto Luaces <aluaces@udc.es>, Ola Lundqvist <opal@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cmake, g++ (>= 3.3.0), libgif-dev, libjpeg-dev, libtiff-dev, lib3ds-dev, libfreetype6-dev, libpng12-dev, libcoin60-dev, libjasper-dev, libgdal-dev, libx11-dev, libxmu-dev, freeglut3-dev, ccache, libgl1-mesa-dev | libgl-dev, doxygen, libxine-dev, libavcodec-dev, libswscale-dev, libavdevice-dev, libqt4-dev, libqt4-opengl-dev, librsvg2-dev, libpoppler-glib-dev
Standards-Version: 3.9.2
Homepage: http://www.openscenegraph.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-osg/pkg-osg.git
Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=100578

Package: libopenthreads-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads14 (= ${binary:Version})
Description: Object-Oriented (OO) thread interface for C++, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the development headers.

Package: libopenthreads14
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenthreads, libopenthreads2, libopenthreads3, libopenthreads1c2, libopenthreads11
Description: Object-Oriented (OO) thread interface for C++, shared libs
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the shared libraries.

Package: libopenscenegraph-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenthreads-dev, libgl1-mesa-dev | libgl-dev, libglu-dev, libopenscenegraph80 (= ${binary:Version})
Suggests: openscenegraph-doc, openscenegraph-examples
Description: 3D scene graph, development files
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the development headers.

Package: libopenscenegraph80
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libopenscenegraph, libopenscenegraph2, libopenscenegraph3, libopenscenegraph1c2, libopenscenegraph7, libopenscenegraph55
Description: 3D scene graph, shared libs
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the shared libraries.

Package: openscenegraph-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: 3D scene graph, documentation
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the documentation.

Package: openscenegraph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 3D scene graph, utilities and examples (binaries)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains utilities and examples (binaries).

Package: openscenegraph-examples
Architecture: all
Depends: ${misc:Depends}
Description: 3D scene graph, examples (sources)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains examples (sources).
